dpt-gc(1)

NAME
dpt-gc - swipe pkg-perl working directories

SYNOPSIS
dpt gc [option...]

DESCRIPTION
dpt gc runs git(1) garbage collection in cloned pkg-perl's repositories. It is suitable to be run from cron(1), e.g. weekly.

CONFIGURATION
dpt gc uses the "DPT_PACKAGES" environment variable. If "DPT_PACKAGES" is not defined, the command fails.

See dpt-config(5) for details.

OPTIONS

-h  Display usage information.

-p  Run in parallel, utilizing all CPUs.

-s  Display statistics about disk usage before and after garbage collection.

-v  Verbose operation. Let git-gc(1) emit progress messages. Doesn't display per-repository stats when -p is used.

COPYRIGHT & LICENSE
Copyright 2013, 2017 Damyan Ivanov dmn@debian.org

Copyright 2017, 2018 gregor herrmann gregoa@debian.org

This program is free software, licensed under the same terms as perl.